# Cheatsheets

## AuthenticationOptions

Authentication options.

Name | Type | Description
`enabled` | `Boolean` | Set whether authentication is enabled. Defaults to `false`.
`id` | `String` | Set the identifier used for authentication.
`secret` | `String` | Set the secret used for authentication.

## MetricTagsMatch

Tags to apply to any metric which name matches the criteria.

Name | Type | Description
`tags` | `Json object` | Set the tags to apply if metric name matches the criteria.
`type` | `MatchType` | Set the type of matching to apply.
`value` | `String` | Set the matched value.

## VertxHawkularOptions

Vert.x Hawkular monitoring configuration.

Name | Type | Description
`authenticationOptions` | `AuthenticationOptions` | Set the options for authentication.
`batchDelay` | `Number (int)` | Set the maximum delay between two consecutive batches (in seconds). To reduce the number of HTTP exchanges, metric data is sent to the Hawkular server in batches. A batch is sent as soon as the number of metrics collected reaches the configured `batchSize`, or after the `batchDelay` expires. Defaults to `1` second.
`batchSize` | `Number (int)` | Set the maximum number of metrics in a batch. To reduce the number of HTTP exchanges, metric data is sent to the Hawkular server in batches. A batch is sent as soon as the number of metrics collected reaches the configured `batchSize`, or after the `batchDelay` expires. Defaults to `50`.
`disabledMetricsTypes` | `Array of MetricsType` | Sets metrics types that are disabled.
`enabled` | `Boolean` | Set whether metrics will be enabled on the Vert.x instance. Metrics are not enabled by default.
`host` | `String` | Set the Hawkular Metrics service host. Defaults to `localhost`.
`httpHeaders` | `Json object` | Set specific headers to include in HTTP requests.
`httpOptions` | `HttpClientOptions` | Set the configuration of the Hawkular Metrics HTTP client.
`metricTagsMatches` | `Array of MetricTagsMatch` | Sets a list of link.
`metricsBridgeAddress` | `String` | Sets the metric bridge address on which the application is sending the custom metrics. Application can send metrics to this event bus address. The message is a JSON object specifying at least the `id` and `value` fields. Don't forget to also enable the bridge with `metricsBridgeEnabled`.
`metricsBridgeEnabled` | `Boolean` | Sets whether or not the metrics bridge should be enabled. The metrics bridge is disabled by default.
`metricsServiceUri` | `String` | Set the Hawkular Metrics service URI. Defaults to `/hawkular/metrics`. This can be useful if you host the Hawkular server behind a proxy and manipulate the default service URI.
`port` | `Number (int)` | Set the Hawkular Metrics service port. Defaults to `8080`.
`prefix` | `String` | Set the metric name prefix. Metric names are not prefixed by default. Prefixing metric names is required to distinguish data sent by different Vert.x instances.
`schedule` | `Number (int)` | Set the metric collection interval (in seconds). Defaults to `1`.
`sendTenantHeader` | `Boolean` | Set whether Hawkular tenant header should be sent. Defaults to `true`. Must be set to `false` when working with pre-Alpha13 Hawkular servers.
`taggedMetricsCacheSize` | `Number (int)` | Set the number of metric names to cache in order to avoid repeated tagging requests.
`tags` | `Json object` | Set tags applied to all metrics.
`tenant` | `String` | Set the Hawkular tenant. Defaults to `default`.